2102: Accept terms

2102: Accept terms

Accept a set of terms for an entity

Endpoint ID:

2102

Method:

POST

URL:

/permissions/entity/id/{entityID}/terms/{termsID}

/permissions/entity/ext-key/{ext-key}/{ext-type}/terms/{termsID}

 

entityID

dialogportal™ master key that uniquely identifies the entity

 

ext-key

External key that uniquely identifies the entity

 

ext-type

Type of external key

 

termsID

A GUID string identifier for the terms

JSON data describing the terms acceptance

Required fields



sourceID

The GUID string identifier of the acceptance source

Optional fields



termsVersion

The version of the terms which is being accepted, in major.minor format.



consents

An array of consentIDs which are to be accepted with these terms. If this field is included, even as an empty array, then only consents with these GUID identifiers will be accepted for these terms. If the field is excluded, then all consents associated with this terms version will be accepted.

If this field is included, then any consents associated with this terms version which are not included in the array are stored marked as having been "declined". This is not the same as an accepted consent being withdrawn, but rather a record that this consent was presented and the entity declined to accept it.



data

Custom context data

 

{ "sourceID": "26f2da92-c9ca-4a82-90f0-8a8a43534239", "termsVersion": "1.3", "consents": [ "5d9d6071-2158-40f4-b1b7-c101bffc518e" ], "data": { "resellerID": 123456, "resellerName": "Jane Doe" } }

Response body:

{ "isActive": true, "isWithdrawn": false, "terms": { "id": "1f788c79-7dde-407f-a976-6b08ffb4c75a", "version": "1.3", "isMostRecentVersion": true }, "acceptance": { "timestamp": "utc timestamp", "sourceID": "26f2da92-c9ca-4a82-90f0-8a8a43534239" } }

Status codes:

200

Terms were accepted

 

400

Terms could not be accepted, due to an invalid version or sourceID.

The following subcodes may be returned:

400.1

Terms not active

400.2

A permission covered by these terms is not active

400.3

Source not active

400.4

Terms version not ready

 

404

The entity or terms were not found.

The following subcodes may be returned:

404.1

Entity not found

404.2

External entity reference could not be found

404.4

Terms not found

404.6

Source not found

404.7

Terms version not found

 

412

The contract or terms do not allow access:

412.1

The terms are not allowed for this contract

412.3

The source is not allowed for this contract

412.5

The source is not allowed for this terms version

412.6

The entity type is not allowed for this terms version